<script type="text/javascript">//<![CDATA[
function reloadCaptcha () {
	var rndval = new Date().getTime();
	document.getElementById("l2-captcha").src = "{reg_code}&rndval=" + rndval;
}
function isAlphaNumeric(value) {
	if (value.match(/^[a-zA-Z0-9]+$/)) return true; else return false;
}
function checkform(f) {
	if (f.l2login.value=="") {
		alert("Заполните все поля формы");
		return false;
	}
	if (!isAlphaNumeric(f.l2login.value)) {
		alert("Заполните все поля формы");
		return false;
	}
	if (f.l2password.value=="") {
		alert("Не введен пароль");
		return false;
	}
	if (!isAlphaNumeric(f.l2password.value)) {
		alert("");
		return false;
	}
	if (f.l2password2.value=="") {
		alert("Не введен повтор пароля");
		return false;
	}
	if (f.l2password.value!=f.l2password2.value) {
		alert("Не совпадает пароль");
		return false;
	}
	return true;
}
//]]></script>

<div id='l2account'>
<ul>
<li>Аккаунт и пароль не могут быть пустыми.</li>
<li>Аккаунт и пароль не могут содержать менее 4 знаков и больее 15 знаков.</li>
<li>Аккаунт и пароль пишутся латинскими буквами или цифрами.</li>
</ul>
</div>
<br>

<form action='?do=lineage&module=registration&action=reg' method='post' onsubmit='return checkform(this)'>
<center>
<table id='l2tbl'>
	<tr>
		<td class='left'>Логин</td>
		<td class='right'><input type='text' name='l2login' maxlength='15' /></td>
	</tr>
	<tr>
		<td class='left'>Пароль</td>
		<td class='right'><input type='password' name='l2password' maxlength='15' /></td>
	</tr>
	<tr>
		<td class='left'>Подтверждение пароля</td>
		<td class='right'><input type='password' name='l2password2' maxlength='15' /></td>
	</tr>
	<tr>
		<td class='left'>E-mail</td>
		<td class='right'><input type='text' name='l2email' maxlength='64' /></td>
	</tr>
	<tr>
		<td class='left'>Секретный вопрос</td>
		<td class='right'><input type='text' name='l2question' maxlength='64' /></td>
	</tr>
	<tr>
		<td class='left'>Ответ на секретный вопрос</td>
		<td class='right'><input type='text' name='l2answer' maxlength='64' /></td>
	</tr>
	[sec_code]
	<tr>
  		<td class='left'><img id="l2-captcha" src="{reg_code}" alt="Код безопасности" border="0" /><br />
  			<a onclick="javascript:reloadCaptcha(); return false;" href="#">Обновить код</a>
  		</td>
		<td class='right'>
			<input type="text" name="sec_code" onfocus="this.value=''" value="Код безопасности">
		</td>
	</tr>
	[/sec_code]
	
	<tr>
		<td colspan='2' style='text-align: center;'><br />
		<input type='submit' name='submit' value='Регистрация' /></td>
	</tr>
</table>
</center>
</form>